
./kamaki - Support # 4058

Status: New Priority: Medium

Author: Stavros Sachtouris Category: kamaki

Created: 06/25/2013 Assignee: Stavros Sachtouris

Updated: 12/02/2013 Due date: 08/31/2013

Subject: Create unittests for top-level kamaki.cli.* functions

Description

Unit-test everything under kamaki/cli/ .

Unit-testing the kamaki.cli.* functions may result in redefinitions, renamings and code simplifications.

Related issues:

blocked by ./kamaki - Feature # 4292: Parametrize commands output and make it... Closed 09/10/2013 09/25/2013

Associated revisions

Revision 2fde8651 - 07/12/2013 01:27 pm - Stavros Sachtouris

Setup unittest for CLI and apply to commant_tree

Refs: #4058

Only a init and name methods are tested for now

Revision 9a22e094 - 07/12/2013 04:57 pm - Stavros Sachtouris

Implement all unittests for command_tree.Command

Refs: #4058

Revision 0962adb7 - 07/15/2013 12:54 pm - Stavros Sachtouris

Setup test example commands for CommandTree

Refs: #4058

Revision d252a7a8 - 07/15/2013 05:16 pm - Stavros Sachtouris

Fully test CommandTree

Refs: #4058

Revision 5286e2c3 - 07/16/2013 02:57 pm - Stavros Sachtouris

Initialize unittests for argument.Argument

Refs: #4058
Also, make argument package a directory

Revision f17d6cb5 - 07/16/2013 04:55 pm - Stavros Sachtouris

Fully test argument.Argument

Refs: #4058

Revision a7aacf12 - 07/16/2013 06:22 pm - Stavros Sachtouris

Complete ConfigArgument testing

Refs: #4058

Revision c89d5f34 - 07/17/2013 04:01 pm - Stavros Sachtouris

Mock calls to kamaki.cli.config.Config methods

Refs: #4058

Revision 1bd4f765 - 07/17/2013 04:43 pm - Stavros Sachtouris

Initialize RuntimeConfigArgument unittests

Refs: #4058

Revision 34c480f2 - 07/17/2013 06:22 pm - Stavros Sachtouris

Fully test RuntimeConfigArgument

Refs: #4058

Revision 3a5b1ceb - 07/18/2013 04:46 pm - Stavros Sachtouris

Test FlagArgument and ValueArgument

Refs: #4058

Revision 02987e9c - 07/18/2013 05:09 pm - Stavros Sachtouris

Test IntArgument

Refs: #4058

Revision b7ff6e0c - 07/18/2013 06:38 pm - Stavros Sachtouris
Test DateArgument

Refs: #4058

Revision 8d427cb9 - 07/19/2013 12:22 pm - Stavros Sachtouris

Test Version and KeyValue Arguments

Refs: #4058

Revision c0fbf04c - 07/19/2013 04:36 pm - Stavros Sachtouris

Test ProgressBarArgument

Refs: #4058

Revision 631b7c35 - 07/19/2013 06:17 pm - Stavros Sachtouris

Test ArgumentParseManager upto update_parser

Refs: #4058

Revision f52b39db - 07/22/2013 01:54 pm - Stavros Sachtouris

Allow non-None empty default values in Args

Refs: #4058

Revision b57eaeb0 - 07/22/2013 06:25 pm - Stavros Sachtouris

Test ArgumentParseManager.update_arguments

Refs: #4058

Missing test: ArgumentParseManager.parse

Revision 98093aac - 08/06/2013 01:28 pm - Stavros Sachtouris

Complete unittests for kamaki.cli.history class

Refs: #4058

Revision d9dbae6d - 08/06/2013 01:30 pm - Stavros Sachtouris

Update Changelog for kamaki.cli unittests
Refs: #4058

Revision 4769da6b - 08/06/2013 06:50 pm - Stavros Sachtouris

Add unittests for kamaki.cli.logger

Refs: #4058

Revision d7a0a8f4 - 08/06/2013 06:51 pm - Stavros Sachtouris

Update Changelog for logger unittests

Refs: #4058

Revision cdeadadc - 08/07/2013 06:29 pm - Stavros Sachtouris

Initialize tests for kamaki.cli.utils

Refs: #4058

Revision 0f383dcc - 08/08/2013 06:01 pm - Stavros Sachtouris

Unittest print_dict + print_list

Refs: #4058

Revision 46d130c9 - 08/09/2013 05:22 pm - Stavros Sachtouris

Test kamaki.cli.utils up to print_items

Refs: #4058

Revision 23963422 - 08/20/2013 04:36 pm - Stavros Sachtouris

Complete cli.utils unittests

Refs: #4058

Revision 023cb1d3 - 08/20/2013 04:37 pm - Stavros Sachtouris

Update Changelog for utils unittests

Refs: #4058

Revision f10cef01 - 08/30/2013 04:23 pm - Stavros Sachtouris
Test All cli.errors error classes

Refs: #4058

Revision cfebddb5 - 08/30/2013 04:55 pm - Stavros Sachtouris

Add the raiseCLIError method under unit tests

Refs: #4058

Revision c95418af - 08/30/2013 04:56 pm - Stavros Sachtouris

Update Changelog about cli.errors tests

Refs: #4058

Revision 9f5cbafe - 09/17/2013 04:17 pm - Stavros Sachtouris

Initialize a config package (new dir) with tests

Refs: #4058

Revision f767b407 - 09/17/2013 06:13 pm - Stavros Sachtouris

Unittest kamaki.cli.Config.__init__

Refs: #4058

Revision c5997814 - 09/18/2013 03:22 pm - Stavros Sachtouris

Implement tests for _cloud_name, _rescue_old_file

Refs: #4058

Revision 3564be49 - 09/18/2013 05:14 pm - Stavros Sachtouris

Test get/set_cloud/global

Refs: #4058

Revision 2e616dbd - 09/18/2013 05:57 pm - Stavros Sachtouris

Implement all methods up to reload

Refs: #4058
Revision 8556d269 - 09/19/2013 06:02 pm - Stavros Sachtouris

Complete unittests for kamaki.cli.config

Refs: #4058

Revision 12be2bd2 - 09/19/2013 06:19 pm - Stavros Sachtouris

Update Changelog for config unittests

Refs: #4058

History

#1 - 07/12/2013 04:59 pm - Stavros Sachtouris

- Estimated time changed from 20.00 to 80.00

#2 - 07/15/2013 05:18 pm - Stavros Sachtouris

- % Done changed from 0 to 10

#3 - 07/18/2013 06:39 pm - Stavros Sachtouris

- % Done changed from 10 to 20

#4 - 08/06/2013 06:52 pm - Stavros Sachtouris

- Due date changed from 07/17/2013 to 08/31/2013

- % Done changed from 20 to 30

#5 - 08/20/2013 04:58 pm - Stavros Sachtouris

- % Done changed from 30 to 40

#6 - 08/28/2013 03:29 pm - Stavros Sachtouris

- Target version changed from v0.10 to v0.11

#7 - 09/17/2013 06:14 pm - Stavros Sachtouris

- % Done changed from 40 to 50

#8 - 10/03/2013 11:53 am - Stavros Sachtouris

- Target version changed from v0.11 to v0.12

#9 - 12/02/2013 12:24 pm - Stavros Sachtouris

- Target version changed from v0.12 to v0.13
